メインコンテンツへスキップ
GET
/
v3beta1
/
organizations
/
{org_id}
/
repositories
/
{repository_path}
/
indexing
リポジトリのインデックス化ステータスを取得
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/{repository_path}/indexing \
  --header 'Authorization: Bearer <token>'
{
  "indexing_enabled": true,
  "latest_completed_search_index_job": {
    "branch_name": "<string>",
    "commit": "<string>",
    "created_at": 123,
    "job_id": "<string>",
    "status": "failed"
  },
  "latest_completed_wiki_index_job": {
    "branch_name": "<string>",
    "commit": "<string>",
    "created_at": 123,
    "job_id": "<string>",
    "status": "failed"
  },
  "latest_indexes": [
    {
      "branch_name": "<string>",
      "commit": "<string>",
      "created_at": 123,
      "job_id": "<string>",
      "status": "failed"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

権限

組織レベルで Read 権限を持つサービスユーザーが必要です。

パスパラメータ

  • repository_path — リポジトリの完全なパス (例: org/repo-name) 。

承認

Authorization
string
header
必須

サービスユーザーの認証情報(接頭辞: cog_)

パスパラメータ

repository_path
string
必須

レスポンス

正常なレスポンス

indexing_enabled
boolean
必須
latest_completed_search_index_job
RepoIndexJobResponse · object
必須
latest_completed_wiki_index_job
RepoIndexJobResponse · object
必須
latest_indexes
RepoIndexJobResponse · object[]
必須